Retrieves the user_planning_slot with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_planning_slot| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| user_id |
Foreign key to user. |
globally unique identifier |
Required |
| user_planning_slot_type_id |
Foreign key to user planning slot type id. |
globally unique identifier |
Required |
| date_from |
Date from, |
date | |
| date_to |
Date to, |
date | |
| description |
Description of user planning slot. |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "2a2db980-740c-4905-bedc-dfe7982d38dd",
"user_id": "882c1741-c100-49e2-bc08-385668906920",
"user_planning_slot_type_id": "02b025be-bcf3-42da-9ca0-40d4cd327d50",
"date_from": "2026-10-14T14:43:57.7941279+00:00",
"date_to": "2026-10-14T14:43:57.7941279+00:00",
"description": "sample string 6",
"modified_dateutc": "2026-10-14T14:43:57.7941279+00:00"
}